#include <bits/stdc++.h>
using namespace std;
int a[10000];
int ktra (int n,int i)
{
    if(n<2) return 0;
    else if (i==1) return 1;
    else if (n%i==0) return 0;
    else ktra(n,i-1);
}
int main()
{
    ifstream f1("dqnt.inp");
    ofstream f2("dqnt.out");
    int n;
    int dem=0;
    f1>>n;
    for(int i=0;i<n;i++)
    {
        f1>>a[i];
    }
    sort(a,a+n);
    for(int i=0;i<n;i++)
    {
        if(ktra (a[i],sqrt(a[i]))==1)
            {
                dem++;
                f2<<a[i];
            }
    }
    if (dem==0)f2<<"-1";
}
